Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 65518 - ssl_engine_log and ssl_request_log log files not rotated
ssl_engine_log and ssl_request_log log files not rotated
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.3
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-26 14:35 EDT by Mike Fleetwood
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-26 14:36:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Fleetwood 2002-05-26 14:35:59 EDT
Log files /var/log/httpd/ssl_engine_log and /var/log/httpd/ssl_request_log
are not rotated.  This problem effects apache versions 1.3.20-16 (RH 7.2)
and 1.3.23-11 (RH 7.3).  Apache 1.3.19-5 (RH 7.1) actually did rotate
ssl_request_log, after bug #21227 was fixed, but this was lost when the 5
separate log rotate clauses were merged into one.
 
Suggest changing the first line of /etc/logrotate.d/apache from listing the
full path of the current 4 log files:

    /var/log/httpd/access_log .../agent_log .../error_log .../referer_log {

to using a file pattern to match all log files and adding the notifempty
option like:

    /var/log/httpd/*_log {
        notifempty

This matches the style of log rotation control used for samba 2.2.3a-6
(RH 7.3).
Comment 1 Joe Orton 2002-07-08 11:34:40 EDT
This is fixed in the mod_ssl package for Apache 2.0, in the Limbo beta; thanks
for the report.

Note You need to log in before you can comment on or make changes to this bug.